import {request} from '@/utils/request.js'

/**
 * 分页查询CheckTask
 * @param data

 */
export function getCheckTaskByPage(data) {
  return request({
    url: '/check/task/page',
    method: 'GET',
    params: data
  })
}

/**
 * 列表查询CheckTask
 * @param data
 */
export function getCheckTaskByList(data) {
  return request({
    url: '/check/task',
    method: 'GET',
    params: data
  })
}

/**
 * @param checkTaskId

 */
export function getCheckTaskById(checkTaskId) {
  return request({
    url: `/check/task/${checkTaskId}`,
    method: 'GET'
  })
}

/**
 * 获取任务视图
 * @param taskId
 */
export function getCheckTaskViewById(taskId) {
  return request({
    url: `/check/task/view/${taskId}`,
    method: 'GET'
  })
}

/**
 * 添加一次性临时CheckTask
 * @param data

 */
export function createCheckTask(data) {
  return request({
    url: `/check/task/once/add`,
    method: 'POST',
    data
  })
}

/**
 * 更新CheckTask
 * @param data

 */
export function updateCheckTask(data) {
  return request({
    url: `/check/task/update`,
    method: 'PUT',
    data
  })
}

/**
 * 删除CheckTask
 * @param taskId
 */
export function deleteCheckTaskById(taskId) {
  return request({
    url: `/check/task/${taskId}`,
    method: 'DELETE'
  })
}

/**
 * Handle CheckTask
 * @param taskId
 */
export function handleCheckTask(taskId) {
  return request({
    url: `/check/task/handle/${taskId}`,
    method: 'PUT'
  })
}

/**
 * Transfer CheckTask
 * @param data
 */
export function transferCheckTask(data) {
  return request({
    url: `/check/task/transfer`,
    method: 'PUT',
    data
  })
}

/**
 * Cancel CheckTask

 * @param taskId
 */
export function cancelCheckTask(taskId) {
  return request({
    url: `/check/task/cancel/${taskId}`,
    method: 'PUT'
  })
}

/**
 * Complete CheckTask
 * @param taskId
 */
export function completeCheckTask(taskId) {
  return request({
    url: `/check/task/complete/${taskId}`,
    method: 'PUT'
  })
}
